mediastreamer2 2.12.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
_MSDtmfGenCustomTone Struct Reference

`#include <dtmfgen.h>`

## Data Fields
char | tone_name [8]
int | duration
int | frequencies [2]
float | amplitude
int | interval
int | repeat_count

## Detailed Description

Structure describing a custom tone.

## Field Documentation

char _MSDtmfGenCustomTone::tone_name[8]

Tone name for convenience

int _MSDtmfGenCustomTone::duration

Duration of the tone in milliseconds

int _MSDtmfGenCustomTone::frequencies[2]

Frequencies of the tone to be played

float _MSDtmfGenCustomTone::amplitude

Amplitude of the tone, 1.0 being the 0dbm normalized level

int _MSDtmfGenCustomTone::interval

Interval 'between tones' in milliseconds

int _MSDtmfGenCustomTone::repeat_count

Number of times the tone is repeated.

The documentation for this struct was generated from the following file:

- dtmfgen.h